STASADM(1)

NAME
stasadm - STorage Appliance Services admin functions

SYNOPSIS

stasadm [OPTIONS...] {COMMAND} [OPTIONS...]

DESCRIPTION

stasadm is used to configure nvme-stas. The configuration is saved to /etc/stas/sys.conf.

Although nvme-stas' configuration is saved to /etc/stas/sys.conf, it's still possible to interoperate with the configuration of nvme-cli and libnvme. nvme-stas allows one to save individual parameters such as the Host NQN and ID outside of /etc/stas/sys.conf. This allows, for example, using the same default Host NQN and ID defined by nvme-cli and libnvme in /etc/nvme/hostnqn and /etc/nvme/hostid respectively. To tell nvme-stas that you want to use the those files, simply use stasadm's --file=FILE option.

COMMANDS

The following commands are understood:

hostnqn
    Generate the Host NQN. This is typically used as a post installation step to generate /etc/nvme/hostnqn.

    The NVMe base specifications says: “An NQN is permanent for the lifetime of the host”. For this reason, the host NQN should only be generated if /etc/nvme/hostnqn does not exist already.

hostid
    Generate the Host ID. This is typically used as a post installation step to generate /etc/nvme/hostid.

    Although not explicitly specified in the NVMe specifications, the Host ID, like the Host NQN, should be permanent for the lifetime of the host. Only generate the Host ID if /etc/nvme/hostid does not exist.

set-symname [SYMNAME]
    Set the host symbolic name.

    The symbolic name is an optional parameter that can be used for explicit registration with a discovery controller.

clear-symname
    Clear the host symbolic name.

OPTIONS

The following options are understood:

-h, --help
    Print the help text and exit.

--version
    Print the version string and exit.

-fFILE, --file=FILE
    By default, hostnqn and hostid save the values to /etc/stas/sys.conf. This option allows saving to a separate file.

    Traditionally, nvme-cli and libnvme retrieve the default Host NQN and ID from /etc/nvme/hostnqn and /etc/nvme/hostid respectively. The --file=FILE option can be used to tell nvme-stas that it should use those same configuration files.

EXIT STATUS

On success, 0 is returned; otherwise, a non-zero failure code is returned.

EXAMPLES

Example 1. Generate /etc/nvme/hostnqn

    $ stasadm hostnqn --file /etc/nvme/hostnqn

Example 2. Generate /etc/nvme/hostid

    $ stasadm hostid -f /etc/nvme/hostid

Example 3. Configure the host's symbolic name

    $ stasadm set-symname LukeSkywalker

SEE ALSO

nvme-stas(7)